/**   CONSTANTS   */

*{
    margin: 0;
    padding: 0;
}

button,input,optgroup,select,textarea{
    color:inherit;
    font:inherit;
    margin:0
}

button{
    overflow:visible
}

button,select{
    text-transform:none
}

button[disabled],html input[disabled]{
    cursor:default
}

button::-moz-focus-inner,input::-moz-focus-inner{
    border:0;
    padding:0
}

input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration{
    -webkit-appearance:none
}

button,html input[type=button],input[type=reset]{
    -webkit-appearance:button;
    border:0;
    cursor:pointer;
    -webkit-appearance:button
}

img, picture{
    border:0;
    display: block;
    max-width:100%;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing:border-box;
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
}





/**   GLOBALS   */

:root {
    --clr-white: #fff;
    --clr-dark: #311B1D;
    --clr-grey: #F5F3F6;
    --clr-brown: #983A20;

    --ff-header: "PT Serif", serif;
    --ff-body: "Inter", sans-serif;

    --nz-sm: clamp(0.75rem, 0.09vi + 0.68rem, 0.8rem);
    --nz-base: clamp(0.875rem, 0.23vi + 0.82rem, 1rem);
    --nz-md: clamp(1rem, 0.35vi + 0.9rem, 1.15rem);
    --nz-lg: clamp(1.35rem, 0.74vi + 1.18rem, 1.78rem);
    --nz-xl: clamp(1.70rem, 1.2vi + 1.41rem, 2.37rem);
    --nz-xxl: clamp(2.14rem, 1.86vi + 1.67rem, 3.16rem);
    --nz-xxxl: clamp(2.67rem, 2.8vi + 1.97rem, 4.21rem);
}

html{
    font-family:sans-serif;
    -ms-text-size-adjust:100%;
    -webkit-text-size-adjust:100%;
    text-rendering: optimizeLegibility;
    scroll-behavior: smooth;
    overflow-x: hidden;
    scrollbar-gutter: stable;
}

body{
    margin:0;
    padding: 0;
    min-height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr auto;
    background-color: var(--clr-white);
    color:var(--clr-dark);
    font-kerning: normal;
    font-variant-ligatures: normal;
    scroll-behavior: smooth;
    font-size: var(--nz-md);
}

#Hero {
    min-height: 50dvh;
}

.full-container{
    width: 100vw;
    margin: 0 auto;
}

.padded-container{
    width: 100vw;
    margin: 0 auto;
    padding: 0 3vw 0 3vw;
    padding-top: min(15em, 15vh);
    padding-bottom: min(15em, 15vh);
}

.semi-padded-container{
    position: relative;
    width: 100vw;
    margin: 0 auto;
    padding: 0 0 0 3vw;
    z-index: -2;
    /* padding-top: min(15em, 15vh);
    padding-bottom: min(15em, 15vh); */
}

.profile {
}

.profile img {
    width: clamp(300px, 50%, 500px);
}


/* .profile {
    position: absolute;
    top: 0;
    width: 100%;
    height: 75dvh;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
}

@media (max-width: 1500px) {
.profile {
    justify-content:flex-end;
    padding-right: 8.5%;
}
}



.profile img {
    width: clamp(150px, 30%, 300px);
} */






/**   UTILITY   */

.grey {
    background-color: var(--clr-grey);
}

.flex-col {
    display: flex;
    flex-direction: column;
    gap: var(--nz-lg);
}

.flex-row {
    display: flex;
    flex-direction: row;
    gap: var(--nz-lg);
}

.table-grid {
    display: grid;
    grid-template-columns: 15vw 1fr;
}

.flex-col .table-grid:nth-child(3) {
    border-top: 1px solid var(--clr-dark);
    padding-top: var(--nz-lg);
    border-bottom: 1px solid var(--clr-dark);
    padding-bottom: var(--nz-lg);
}

.grid-section {
    display: grid;
    grid-template-columns: 50% 1fr;
    /* grid-template-columns: repeat(auto-fit, minmax(450px, 1fr)); */
    gap: var(--nz-xxxl);
}

.grid-section p {
    max-width: 35vw;
}

@media (max-width: 1000px) {
.grid-section p {
    max-width: 85vw;
}
}

.semi-padded-container .grid-section {
    grid-template-columns: 47vw 1fr;
}

.contact .grid-section {
    border-top: 1px solid var(--clr-dark);
    padding-top: var(--nz-xxxl);
    padding-bottom: var(--nz-xxxl);
}

.grid-footer {
    display: grid;
    grid-template-columns: 50% 1fr;
    gap: var(--nz-xxl);
}

.grid-footer-contact {
    display: grid;
    grid-template-columns: 50% 1fr;
    gap: var(--nz-xxl);
}

.grid-legal {
    display: grid;
    grid-template-columns: 50% 1fr;
    gap: var(--nz-xxl);
}

@media (max-width: 1300px) {
.grid-footer-contact {
    display: grid;
    grid-template-columns: 1fr;
    gap: var(--nz-xxl);
}

.footer-flex {
    gap: 0.5em;
}
}


@media (max-width: 700px) {
.grid-footer {
    grid-template-columns: 1fr;
    gap: var(--nz-xxl);
}

.grid-section {
    grid-template-columns: 1fr;
    gap: var(--nz-xxl);
}

.contact .grid-section {
    grid-template-columns: 1fr;
    gap: var(--nz-base);
}

.grid-legal {
    grid-template-columns: 1fr;
    gap: var(--nz-sm);
}

.table-grid {
    display: grid;
    grid-template-columns: unset;
}

}





.strip-100{
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;
    width: 100%;
    height: 100dvh;
    min-height: 500px;
}

.strip-75{
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;
    width: 100%;
    height: 75dvh;
    min-height: 500px;
}

.strip-50{
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-size: cover;
    width: 100%;
    height: 50dvh;
    min-height: 500px;
}

.single-col {
  flex-basis: 100%;
  flex: 1;
}

.double-col {
    display: flex;
    flex-direction: column;
    gap: var(--nz-xxxl);
}

.semi-padded-container .double-col {
    gap: 0;
}

.white {
    color: var(--clr-white);
}



.grey-50 {
    color: var(--clr-white);
    opacity: 0.5;
}

.grey-btn {
    background-color: var(--clr-grey);
    width: max-content;
    padding: 10px 15px 10px 15px;
    border-radius: 25px;
    transition: all 0.25s ease-in-out;

}

.dark-btn {
    width: max-content;
    padding: 10px 15px 10px 15px;
    border-radius: 25px;
    border: 1px solid var(--clr-dark);
    transition: all 0.25s ease-in-out;

}

.grey-btn:hover, .dark-btn:hover {
    background-color: var(--clr-dark);
    color: var(--clr-white);
}

.grey-btn:hover a, .dark-btn:hover a {
    color: var(--clr-white);
}

.w-link:hover{
    border-bottom: var(--clr-grey) solid 1px;
}


.g-link:hover{
    border-bottom: var(--clr-grey) solid 1px;
}






/**   NAVIGATION   */

.desktop-nav {
    display: block;
}

.mobile-nav {
    display: none;
}

@media (max-width: 700px) {
.desktop-nav {
    display: none;
}

.mobile-nav {
    display: block;
}
}




nav {
    color:var(--clr-dark);
    background-color: var(--clr-white);
    display: flex;
    z-index: 9998;
    position: sticky;    
}

.navbar {
    padding: 0 3vw;
    width: 100vw;
    height: 5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    background-color: var(--clr-white);
    box-shadow: 0px 1px 0px rgba(0, 0, 0, 0.1);
    transition: all 80ms ease-out;
}



.nav-logo{
    text-decoration:none;
    font-size: var(--nz-md);
    font-weight: 900;
    letter-spacing: -0.5px;
}

.nav-logo-var{
    text-decoration:none;
    font-family: var(--ff-header);
    font-weight: 400;
    font-style: italic;
}

.nav-menu {
    display: flex;
    flex-direction: row;
    gap: var(--nz-xl);
}

.nav-items {
    display: flex;
    flex-direction: row;
    gap: var(--nz-xl);
    list-style: none;
}

.nav-link {
    overflow: hidden;
    position: relative;
    padding: 5px 0 5px 0;

}

.nav-link:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  margin-top: 5px;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: var(--clr-dark);
  transition: transform 0.35s ease-out;
}

.nav-link:hover:after {
  transform: scaleX(1);
    transform-origin: bottom left;

}

.nav-link:after {
  transform-origin: bottom right;
}


.line {
    border-right: 2px solid var(--clr-dark);
}

.nav-lang-menu {
    gap: var(--nz-base);
    list-style: none;
}

.nav-lang-link {
    font-weight: 400;
    transition: transform 0.35s ease-out;
}

.nav-lang-link:hover {
    font-weight: 600;
}

.nav-lang-link:focus {
    font-weight: 600;
}


.navbar-burger {
    width: 100%;
    height: 5rem;
    align-items: center;
    display: flex;
    justify-content: space-between;
    transition: 0.3s;
}

.burger-menu {
    height: 100%;
    width: 100%;
    position: fixed;
    visibility: hidden;
    opacity: 0;
    right: 0;
    z-index: 9999;
    background-color: var(--clr-dark);
    transition: 0.35s ease-out;
    background-image: url(nz_gradient_test.png) ;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    overflow: hidden;

}

.burger-grid {
    padding: 0 3vw;
    height: 100dvh;
    width: 100vw;
    display: grid;
    grid-template-columns: 40% 1fr 1fr;
    grid-template-rows: 5rem 1fr 5rem;
    grid-template-areas:
    "cell-1 cell-1 cell-1"
    "cell-2 cell-3 cell-3"
    "cell-2 cell-4 cell-4";
    align-items: center;
}

@media (max-width: 1000px) {
    .burger-grid {
    grid-template-columns: 100%;
    grid-template-rows: 5rem 1fr 5rem;
    grid-template-areas:
    "cell-1"
    "cell-3"
    "cell-4";
    align-items: center;
}


}

.burger-links {
    display: flex;
    flex-direction: column;
    gap: var(--nz-lg);
}

.burger-links a{
    font-family: var(--ff-header);
    font-size: var(--nz-xxl);
    width: fit-content;
}

.burger-menu a {
    color: var(--clr-white);
}

.burger-links a:hover{
    opacity: 0.5;
}

nav svg {
    fill: var(--clr-dark);
}

#sidebar-active {
    display: none;
}

#sidebar-active:checked ~ .burger-menu {
    visibility: visible;
    opacity: 1;
}

#sidebar-active:checked html {
}

#open-sidebar-btn {
    cursor: pointer;
}

#close-sidebar-btn {
    fill: var(--clr-white);
    cursor: pointer;
}


   



/**   MAIN   */

.main {
    display: flex;
    flex-direction: column;
    /* gap: 10rem; */
    width: 100%;
  }

#Hero {
        padding-top: clamp(10rem, 25dvh, 15rem);
}



h1{
    margin:0;
    color:var(--clr-dark);
    font-family:var(--ff-header);
    font-size:var(--nz-xxl);
    line-height:1.1;
    font-weight: 400;
    max-width: 22ch;
    word-wrap: break-word;
}

h2{
    margin:0;
    color:var(--clr-dark);
    font-family:var(--ff-header);
    font-size:var(--nz-xl);
    line-height:1.2;
    font-weight:400;
    /* max-width: 16ch; */
    word-break: normal;
}

h3{
    margin:0;
    color:var(--clr-dark);
    font-family:var(--ff-body);
    text-transform: uppercase;
    font-size:var(--nz-base);
    line-height:1.3;
    font-weight:400;
    margin-bottom: 1rem;
}


h4{
    margin:0;
    font-size: var(--nz-base);
    font-weight:600;
    color:var(--clr-dark);
}
p {
    margin:0;
    line-height: 1.4;
    color:var(--clr-dark);
}

a{
    margin:0;
    font-size: var(--nz-md);
    color:var(--clr-dark);
    text-decoration:none
}

.grey-text {
    opacity: 0.5;
}

.service-list {
   display: flex;
   flex-direction: row;
   gap: var(--nz-sm);
   flex-wrap: wrap;
}

.service-list div {    
    border: 1px solid var(--clr-dark);
    min-width: fit-content;
    padding: 10px 15px 10px 15px;
    border-radius: 5px;
    transition: all 0.1s ease-in-out;
}




#About h3 {
            padding-top: clamp(10rem, 25dvh, 15rem);

}


.imprint-wrapper .grid-section:nth-child(1), .imprint-wrapper .grid-section:nth-child(2) {
    padding-top: unset;    
}

.imprint-wrapper .grid-section{
    padding-top: clamp(5rem, 15dvh, 10rem);    
}








/**   FOOTER   */

.footer {
    background: var(--clr-dark);
    width: 100%;
    height: fit-content;
    /* margin-top: 7.5rem; */

}

.footer .padded-container{
    width: 100vw;
    margin: 0 auto;
    padding: 0 3vw 0 3vw;
}

.footer-wrapper{
    min-height: 25vh;
    padding-top: min(5em, 5vh);
    padding-bottom: min(2.5em, 2.5vh);
    display:flex;
    justify-content:space-between;
    gap: var(--gap, 7.5em);
    flex-direction: column;
}

.grid-footer ul{
    display:flex;
    justify-content:space-between;
    gap: 0.5em;
    flex-direction: column;
}

.grid-footer a{
    color: var(--clr-white);
}

.grid-footer p{
    color: var(--clr-white);
}



.footer-flex {
    display: flex;
    flex-direction: column;
    justify-content:space-between;
}

.footer-link {
    overflow: hidden;
    position: relative;
        padding: 5px 0 5px 0;


}

.footer-link:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  margin-top: 5px;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: var(--clr-white);
  transition: transform 0.35s ease-out;
}

.contact .footer-link:after {
  background-color: var(--clr-dark);
}

.footer-link:hover:after {
  transform: scaleX(1);
    transform-origin: bottom left;

}

.footer-link:after {
  transform-origin: bottom right;
}

.legal-wrapper {

}

.legal-wrapper a{
    opacity: 0.5;
    color: var(--clr-white);
    font-size: var(--nz-sm);
    font-family: var(--ff-body);
}

.legal-wrapper p{
    opacity: 0.5;
    color: var(--clr-white);
    font-size: var(--nz-sm);
}

.legal {
    overflow: hidden;
    position: relative;
        padding: 5px 0 5px 0;

}

.legal:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 1px;
  margin-top: 5px;
  bottom: 0;
  left: 0;
  background-color: var(--clr-white);
  opacity: 0.5;
  transition: transform 0.35s ease-out;
}

.legal:hover:after {
  transform: scaleX(1);
    transform-origin: bottom left;

}

.legal:after {
  transform-origin: bottom right;
}





@media (max-width: 500px) {
body{
    font-size: var(--nz-base);
}

h1{
    font-size: var(--nz-xl);
}

h2{
    font-size: var(--nz-lg);
}

h3{
    font-size: var(--nz-sm);
}
}



